# COMMENT_Stop_time:"1275",
flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Steady flow + transport with source
  mesh:
    mesh_file: ../00_mesh/rectangle_2x5.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    n_schurs: 2
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: y
      - region: BULK
        cross_section: 1
        conductivity: 1
    output:
      fields:
        - pressure_p0
        - velocity_p0
    output_stream:
      file: ./flow_test16.pvd
      format: !vtk
        variant: ascii
        parallel: true
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      # dual_porosity:false,
      input_fields:
        - region: .BOUNDARY
          bc_conc: 0
        - region: BULK
          init_conc: 0
          porosity: 1
          diff_m: 1.0e-09
          disp_l: 0.01
          disp_t: 0.01
          dg_penalty: 10.0
          sources_density: !FieldFE
            mesh_data_file: 01_input_sources.msh
            field_name: density
          sources_sigma: !FieldFE
            mesh_data_file: 01_input_sources.msh
            field_name: sigma
          sources_conc: !FieldFE
            mesh_data_file: 01_input_sources.msh
            field_name: concentration
      solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
      dg_variant: symmetric
    output_stream:
      file: ./transport_test16.pvd
      format: !vtk
        variant: ascii
        parallel: true
      times:
        - step: 0.8
      precision: 15
    substances:
      - conc
    time:
      end_time: 5.7
      max_dt: 1.0
      min_dt: 1.0
    balance:
      cumulative: true
